[bionic] python-matplotlib import fails

Bug #1764823 reported by Clemens Drüe on 2018-04-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
backports.functools-lru-cache (Ubuntu)
Undecided
Unassigned
matplotlib (Ubuntu)
Undecided
Unassigned

Bug Description

Symptoms:
After upgrade from ubuntu 16.04 ,the module matplotlib doesn't import into python (default python 2.7), anymore. A module is reported missing although it's installed:

Expected outcome:
import matplotlib works without error

Steps to reproduce:
$ lsb_release -rd
Description: Ubuntu Bionic Beaver (development branch)
Release: 18.04
$ python
Python 2.7.15rc1 (default, Apr 15 2018, 21:51:34)
[GCC 7.3.0] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import matplotlib
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/dist-packages/matplotlib/__init__.py", line 127, in <module>
    from matplotlib.rcsetup import defaultParams, validate_backend, cycler
  File "/usr/lib/python2.7/dist-packages/matplotlib/rcsetup.py", line 29, in <module>
    from matplotlib.fontconfig_pattern import parse_fontconfig_pattern
  File "/usr/lib/python2.7/dist-packages/matplotlib/fontconfig_pattern.py", line 32, in <module>
    from backports.functools_lru_cache import lru_cache
ImportError: No module named backports.functools_lru_cache
>>>
$ sudo apt install python-backports.functools-lru-cache
Reading package lists... Done
Building dependency tree
Reading state information... Done
python-backports.functools-lru-cache is already the newest version (1.4-2).
python-backports.functools-lru-cache set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: python-matplotlib 2.1.1-2ubuntu3
ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
Uname: Linux 4.15.0-15-generic x86_64
ApportVersion: 2.20.9-0ubuntu5
Architecture: amd64
Date: Tue Apr 17 20:14:37 2018
InstallationDate: Installed on 2014-05-20 (1427 days ago)
InstallationMedia: Ubuntu-Server 14.04 LTS "Trusty Tahr" - Release amd64 (20140416.2)
SourcePackage: matplotlib
UpgradeStatus: Upgraded to bionic on 2018-04-17 (0 days ago)

Clemens Drüe (druee) wrote :
description: updated
Clemens Drüe (druee) wrote :

Found it: Package **python-backports.functools-lru-cache** does not contain the necessary file
/usr/lib/python2.7/dist-packages/backports/__init__.py

Stefano Rivera (stefanor) wrote :

That should have been created on install, by the namespace mechanism of dh_python2

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers